> For the complete documentation index, see [llms.txt](https://docs.tensorleap.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tensorleap.ai/tensorleap-integration/python-api/code_loader/leap_binder/set_unlabeled_data_preprocess.md).

# set\_unlabeled\_data\_preprocess

The `leap_binder.set_unlabeled_data_preprocess` binding function points to a preprocessing, similar to the [**Preprocessing Function**](/tensorleap-integration/writing-integration-code/preprocess-function.md), but points to unlabeled data lacking the ground-truth values.

This is often used to prioritize samples for labeling, which can be done by using the [**Fetch Similar**](/user-interface/dashboards/dashlets/sample-analysis.md#fetch-similar) analysis.

```python
code_loader.leap_binder.set_unlabeled_data_preprocess(
    function=Callable[[], PreprocessResponse]
)
```

<table><thead><tr><th width="158.46928201888204">Args</th><th></th></tr></thead><tbody><tr><td><code>function</code></td><td><em>(Callable)</em> This parameter points to the <a href="/pages/5EZX1Hijc7xSpyYFPaVG"><strong>Preprocess Function</strong></a>  mentioned above.</td></tr></tbody></table>

### Examples

#### Basic Usage

```python
from code_loader import leap_binder
from code_loader.contract.datasetclasses import PreprocessingResponse

# Preprocessing Function
def unlabeled_preprocessing_func() -> PreprocessingResponse:
...
    return PreprocessingResponse(length=len(unlabeled_df), data=unlabeled_df)

leap_binder.set_unlabeled_data_preprocess(function=unlabeled_preprocessing_func)
```

Usage within the full script can be found at the [**Dataset Script**](/tensorleap-integration/writing-integration-code.md#dataset-script).

#### Guides

Full examples can be found at the **Dataset Integration** section of the following guides:

* [**MNIST Guide**](/guides/full-guides/mnist-guide.md)
* [**IMDB Guide**](/guides/full-guides/imdb-guide.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tensorleap.ai/tensorleap-integration/python-api/code_loader/leap_binder/set_unlabeled_data_preprocess.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
